// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package eol

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : EOLTESTF1
 *-----------------------------------------------------------------------------
 *
 * @Description              : EOLTESTF1的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-05-23 15:56:29
 *
 ******************************************************************************/
type EOLTESTF1 struct {
	BARCODE string `xorm:"varchar(50) 'BARCODE'" json:"EOL_TEST_F_1-BARCODE"`
	TYPE string `xorm:"varchar(50) 'TYPE'" json:"EOL_TEST_F_1-TYPE"`
	SBR_UNLOAD string `xorm:"varchar(50) 'SBR-UNLOAD'" json:"EOL_TEST_F_1-SBR-UNLOAD"`
	SBR_UNLOADRESULT string `xorm:"varchar(50) 'SBR-UNLOADRESULT'" json:"EOL_TEST_F_1-SBR-UNLOADRESULT"`
	SBR_8KGLOAD string `xorm:"varchar(50) 'SBR-8KGLOAD'" json:"EOL_TEST_F_1-SBR-8KGLOAD"`
	SBR_8KGLOADRESULT string `xorm:"varchar(50) 'SBR-8KGLOADRESULT'" json:"EOL_TEST_F_1-SBR-8KGLOADRESULT"`
	SBR_18KGLOAD string `xorm:"varchar(50) 'SBR-18KGLOAD'" json:"EOL_TEST_F_1-SBR-18KGLOAD"`
	SBR_18KGLOADRESULT string `xorm:"varchar(50) 'SBR-18KGLOADRESULT'" json:"EOL_TEST_F_1-SBR-18KGLOADRESULT"`
	SAB string `xorm:"varchar(50) 'SAB'" json:"EOL_TEST_F_1-SAB"`
	SABRESULT string `xorm:"varchar(50) 'SABRESULT'" json:"EOL_TEST_F_1-SABRESULT"`
	HEAT string `xorm:"varchar(50) 'HEAT'" json:"EOL_TEST_F_1-HEAT"`
	HEATRESULT string `xorm:"varchar(50) 'HEATRESULT'" json:"EOL_TEST_F_1-HEATRESULT"`
	BUCKELUN string `xorm:"varchar(50) 'BUCKELUN'" json:"EOL_TEST_F_1-BUCKELUN"`
	BUCKELUNRESULT string `xorm:"varchar(50) 'BUCKELUNRESULT'" json:"EOL_TEST_F_1-BUCKELUNRESULT"`
	BUCKELIN string `xorm:"varchar(50) 'BUCKELIN'" json:"EOL_TEST_F_1-BUCKELIN"`
	BUCKELINRESULT string `xorm:"varchar(50) 'BUCKELINRESULT'" json:"EOL_TEST_F_1-BUCKELINRESULT"`
	BUCKELOUT string `xorm:"varchar(50) 'BUCKELOUT'" json:"EOL_TEST_F_1-BUCKELOUT"`
	BUCKELOUTRESULT string `xorm:"varchar(50) 'BUCKELOUTRESULT'" json:"EOL_TEST_F_1-BUCKELOUTRESULT"`
	TOTALRESULT string `xorm:"varchar(50) 'TOTALRESULT'" json:"EOL_TEST_F_1-TOTALRESULT"`
	CIRCLETIME string `xorm:"varchar(50) 'CIRCLETIME'" json:"EOL_TEST_F_1-CIRCLETIME"`
	DATE grmi.DateTime `xorm:"datetime 'DATE'" json:"EOL_TEST_F_1-DATE"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-05-23 15:56:29
 *
 ******************************************************************************/
func (self *EOLTESTF1) GetKey() core.PK {
	return core.PK{  }
}